Summary: phpPgAdmin for Koozali SME Server
Name: smeserver-phppgadmin
Version: 1.5.0
Release: 3%{?dist}
License: GPL
Source: %{name}-%{version}.tar.xz
URL: https://wiki.koozali.org/Phppgadmin
BuildArch: noarch

Requires: smeserver-postgresql
Requires: smeserver-php
Requires: phpPgAdmin
Requires: php74-php-pgsql
BuildRequires: perl
BuildRequires: smeserver-devtools 

%description
Implementation of phpPgAdmin for Koozali SME Server

%prep
%setup

%build
perl createlinks
%{__mkdir_p} root/var/lib/php/phppgadmin/{tmp,session,opcache,wsdlcache}
%{__mkdir_p} root/var/log/php/phppgadmin


%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)

/sbin/e-smith/genfilelist  \
    --dir /var/lib/php/phppgadmin/ 'attr(0755,root,www)' \
    --dir /var/lib/php/phppgadmin/tmp 'attr(0770,www,www)' \
    --dir /var/lib/php/phppgadmin/opcache 'attr(0770,www,www)' \
    --dir /var/lib/php/phppgadmin/session 'attr(0770,www,www)' \
    --dir /var/lib/php/phppgadmin/wsdlcache 'attr(0770,www,www)' \
    --dir /var/log/php/phppgadmin  'attr(0770,root,www)' \
   $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%postun

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.5.0-3.sme
- Fix e-smith references in smeserver-phppgadmin [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.5.0-2.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Dec 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.5.0-1
- initial release for SME 10

* Sun Jul 05 2020 stephane de Labrusse <stephdl@de-labrusse.fr> 1.0.2
- Remove http templates after rpm removal

* Thu Mar 05 2020  stephane de Labrusse <stephdl@de-labrusse.fr> 1.0.1-1.ns7
- Fix bad sudoers permission

* Mon Oct 14 2019 Stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.4-1.ns7
- cockpit. added to legacy apps

* Sun Sep 10 2017 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.0.3-1.ns7
- Restart httpd service on trusted-network

* Wed Mar 29 2017 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.0.2-1.ns7
- Template expansion on trusted-network

* Sun Mar 12 2017 Stephane de Labrusse <stephdl@de-labrusse.fr> - 0.0.1-2.ns7
- GPL license

* Thu Dec 22 2016 stephane de labrusse <stephdl@de-labrusse.fr> - 0.0.1-1.ns7
- NS7 version
